import type { AppRouteRecordRaw } from '@/router/types';
import { HomeOutlined } from '@ant-design/icons-vue';

import LOGIN from '@/views/login/login.vue';
import HOME from '@/views/home/home.vue';
import Layout from '@/components/layout/index.vue';

// 登录路由
export const LoginRoute: AppRouteRecordRaw = {
	path: '/login',
	name: 'login',
	component: LOGIN,
	meta: {
		title: '登录'
	}
}

// layout路由
export const LayoutRoute: AppRouteRecordRaw = {
	path: '',
	name: 'layout',
	component: Layout,
	redirect: '/home',
	children: [{
		path: '/home',
		name: 'home',
		component: HOME,
		meta: {
			title: '首页',
			icon: HomeOutlined
		}
	}]
}

export const basicRoutes = [
	LoginRoute
]
